<?php

class Router
{
    function __construct()
    {
        $root = $_SERVER['DOCUMENT_ROOT'];
        $url = "";
        require_once($root.'/ctrl/notecontroller.php');
        $controller = new NoteController();
        $isAPI = false; // If URL contains "/api" then true.
        if(strpos($_GET['url'], 'index.html') != false)
        {
            call_user_func_array([$controller,"error"],[$root]);
        }
        else if(isset($_GET['url']) &&
           $_GET['url'] != "index.php")
        {
            // A URL can contain "api" as in "api/rhcsa8/p2/lv/lvm." Split
            // the URL and remove the "api" text from the beginning.
            $arrayURL = explode('/', filter_var(rtrim($_GET['url'], '/'),
                                FILTER_SANITIZE_URL));
            if($arrayURL[0] == "api") {
                unset($arrayURL[0]);
                $isAPI = true;
            }
            $url = '/'.join('/',$arrayURL);
            
            if(file_exists($root.'/modl'.$url)) {
                if(!$isAPI)
                    call_user_func_array([$controller,"getContent"],
                                         [$root,$url]);
                else call_user_func_array([$controller,"api_getContent"],
                                          [$root,$url]);
            } else call_user_func_array([$controller,"error"],[$root]);
        } else call_user_func_array([$controller,"index"],[$root]);
    }
}
