<!DOCTYPE html>
<html>
<head lang="en">
  <meta charset="utf-8" lang="en" />
  <meta name="viewport"
        content="width=device-width, initial-scale=1.0" />
  <title>Grayson Peddie's Course Notes</title>
  <link rel="stylesheet" href="/res/css/site.css" />
  <?php if($hasStyle) { ?>
  <style>
    <?=$stylesheet ?>
  </style>
  <?php } ?>
</head>
<body>
  <div class="header_menu_outer">
  <input type="checkbox" id="cbMenu" class="cbmenu" name=""
         value="" />
    <div id="mainmenu" class="header_menu_inner">
      <header id="header" class="header">
        <label for="cbMenu" id="menuClose" class="menuicon">&#9776;</label>
        <h1 class="header_h1">Grayson Peddie's Course Notes</h1>
      </header>
      
      <nav id="nav" class="nav">
        <ul class="nav_menu">
          <li class="nav_menu_li">
            <a class="nav_menu_a" href="/">Home</a>
          </li>
          <?php for($i = 0; $i < count($this->cnmdirs); $i++) { ?>
          <li class="nav_menu_li">
            <a class="nav_menu_a" href="/<?=$this->cnmdirs[$i] ?>"><?=$this->cnmNames[$i]["title"] ?></a>
          </li>
          <?php } ?>
        </ul>
      </nav>
    </div>
  </div>

  <main id="content" class="content" role="main">
    <div class="inner_header inner_header_container">
      <label for="cbMenu" id="menuOpen" class="menuicon">&#9776;</label>
      <h2 class="inner_header_h2"><?=$pageTitle ?></h2>
    </div>
    <div class="inner_header_container inner_container" id="content-inner">
